// @import '../config.scss'
@import '../fonts.scss'
// @import '../global'
// @import '../header'
// @import '../nav'


// settings start //

.mdc-textfield
    --mdc-theme-primary: #c6d5d2
    max-width: 420px
    width: 100%
    .mdc-text-field--filled
        &:not(.mdc-text-field--disabled)
            width: 100%
            border-radius: 0
            max-width: 420px
            background-color: #c6d5d2

    &.mdc-text-field--focused:not(.mdc-text-field--disabled) 
            .mdc-floating-label
                opacity: 0.5
                font-family: Krungsri
                font-size: 18px
                font-weight: normal
                font-stretch: condensed
                font-style: normal
                line-height: 1
                letter-spacing: 0.15px
                color: #364546

.text-explain
    font-size: 16px !important
    font-weight: normal !important

.item-smaller-header
    font-size: 20px !important

.item-header
    font-size: 30px !important

.description
    font-size: 20px !important

.text-smaller
    line-height: 1.2
    font-size: 16px


.wrap-search
    --mdc-theme-primary: #c6d5d2
    .mdc-select
        span
            opacity: 0.5
            font-family: Krungsri
            font-size: 18px
            font-weight: normal
            font-stretch: condensed
            font-style: normal
            line-height: 1
            letter-spacing: 0.15px
            color: #364546
        &:not(.mdc-select--disabled) 
            .mdc-select__anchor
                width: 100%
                min-width: 420px
                border-radius: 0
                max-width: 420px
                background-color: #c6d5d2

        &:not(.mdc-select--disabled).mdc-select--focused 
            .mdc-floating-label
                color: #364546

// settings end //

body
    &.tab-01::before
        background-image: url('../KSC_Support/Background-Element_Layer/VR_Hiring/VR_Hiring_List/VR-Hiring_BG_Desktop1440W.png')
    footer
        position: relative

    
    

main
    position: relative
    &::before
        content: ''
        height: 2600px
        width: 100%
        // background-image: linear-gradient(to bottom, rgba(42, 51, 54, 0), #364546 70%)
        background-image: linear-gradient(to bottom, #00000000 0%, rgba(54, 69, 70, 1) 40%, rgb(54, 69, 70) 50%, rgba(54, 69, 70, 1) 60%, #00000000 100%)
        top: 1800px
        position: absolute
        left: 0
        z-index: -1

    &::after
        content: ''
        background-image: linear-gradient(to top, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 1) 80%, rgba(42, 51, 54, 0) 100%)
        height: 1600px
        width: 100%
        bottom: 0
        left: 0
        position: absolute


.wrap-jobs-offer
    margin-bottom: 180px
    margin-top: 340px
    .position
        font-family: Krungsri
        font-size: 28px
        font-weight: normal
        font-stretch: condensed
        font-style: normal
        line-height: 1.36
        letter-spacing: 0.15px
        color: #d8d8d8

.wrap-real-player 
    .wrap-content-left 
        #real-player 

            .wrap-detail-bottom
                justify-content: flex-end
                margin-left: auto
                margin-right: 0

    .wrap-slide-involve
        justify-content: flex-end

.wrap-hero-banner
    margin-top: 110px
    .story-image
        opacity: .6
    .text-corporate
        text-shadow: 0 10px 30px rgba(42, 51, 54, 0.2)
        font-family: KrungsriSimple
        font-size: 80px
        font-weight: bold
        font-stretch: normal
        font-style: normal
        line-height: 1.13
        letter-spacing: 0.13px
        text-align: right
        color: #ffffff
        position: absolute
        top: 90px
        right: 0

.wrap-search
    margin-top: 140px
    margin-bottom: 80px
    height: 48px
    .text-search
        font-family: KrungsriSimple
        font-size: 18px
        font-weight: 500
        font-stretch: normal
        font-style: normal
        line-height: 1
        letter-spacing: 0.15px
        color: #ffffff

.wrap-jobs-section
    .wrap-jobs
        .jobs-item
            padding-top: 40px
            padding-bottom: 40px
            border-bottom: solid 1px #ffffff15 
            .description
                font-family: KrungsriSimple
                font-size: 22px
                font-weight: normal
                font-stretch: normal
                font-style: normal
                line-height: 1
                letter-spacing: 0.15px
                color: #ffffff

            .item-header
                font-family: KrungsriSimple
                font-size: 36px
                font-weight: 500
                font-stretch: normal
                font-style: normal
                line-height: 1.28
                letter-spacing: 0.15px
                color: #ffffff

            
.wrap-all-openings
    margin-top: 130px
    .wrap-select-options
        max-width: 250px
        width: max-content
        -moz-width: max-content
        .custom-select
            background-color: unset
            border: 0
            font-family: Krungsri
            font-size: 18px
            font-weight: normal
            font-stretch: condensed
            font-style: normal
            line-height: 1
            letter-spacing: 0.15px
            color: #c6d5d2
            box-shadow: unset
            background: #ffffff00 url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='4' height='5' viewBox='0 0 4 5'%3e%3cpath fill='%23FFF' d='M2 0L0 2h4zm0 5L0 3h4z'/%3e%3c/svg%3e") no-repeat right .75rem center/8px 10px

    .wrap-jobs
        .jobs-item
            padding-top: 30px
            padding-bottom: 40px
            border-bottom: solid 1px #ffffff15 

            // .wrap-decide
            //     max-width: 208px

.wrap-img-slide
    img
        object-fit: cover

.wrap-real-player
    margin-bottom: 300px
    .title
        font-family: KrungsriSimple
        font-size: 30px
        font-weight: bold
        font-stretch: normal
        font-style: normal
        line-height: 1
        letter-spacing: 0.15px
        color: #364546
    
    .quote
        object-fit: contain
        font-family: KrungsriSimple
        font-size: 25px
        font-weight: 500
        font-stretch: normal
        font-style: normal
        line-height: 1.6
        letter-spacing: 0.12px
        color: #FFF
        padding-top: 1rem
        padding-bottom: 1rem

    .RP-picture
        border-radius: 50%
        max-height: 250px
        max-width: 250px

    .wrap-content-left
        #real-player
            .wrap-detail-bottom
                width: 34%
                .linear
                    width: 55px
                    border-top: solid .5px #ffffff8a
                    margin-right: 10px
                    margin-left: 0
                .wrap-right-section
                    text-align: left
                    h4
                        font-family: KrungsriSimple
                        font-size: 20px
                        font-weight: bold
                        font-stretch: normal
                        font-style: normal
                        line-height: 1.3
                        letter-spacing: 0.12px
                        color: #FFF

                    span
                        font-family: Krungsri
                        font-size: 16px
                        font-weight: normal
                        font-stretch: condensed
                        font-style: normal
                        line-height: 1
                        letter-spacing: 0.15px
                        color: #FFF
            .wrap-decide
                &:hover
                    .wrap-decide-icon
                        &::before
                            background-image: url('../KSC_Support/Assets/Function Icon/PlayVDO.svg') 
                            

            .wrap-decide
                .wrap-decide-icon
                    padding: 15px 17px !important
                    &::before
                        width: 24px
                        height: 24px
                        background-position: center
                        background-repeat: no-repeat
                        background-size: contain
                        background-image: url('../KSC_Support/Assets/Function Icon/PlayVDO_lighter.svg')
                

    .wrap-play-controller
        .wrap-play-controller-icon
            width: 55px
            height: 55px
            opacity: 0.9
            border: solid 1px #FFF
            border-radius: 50%
            padding: 13px 15px
            margin-right: 15px
            .player-controller
                width: 27px
                height: 25px
                background-position: center
                background-size: contain
                background-repeat: no-repeat
                background-image: url('../KSC_Support/Assets/Function Icon/PlayVDO_lighter.svg')  

        &:hover
            .wrap-play-controller-icon
                .player-controller
                    background-image: url('../KSC_Support/Assets/Function Icon/PlayVDO.svg') 
        span
            font-family: KrungsriSimple
            font-size: 18px
            font-weight: 500
            font-stretch: normal
            font-style: normal
            line-height: 1
            letter-spacing: 0.15px
            color: #FFF

    .carousel-control-prev, .carousel-control-next
        position: relative

    .wrap-slide-involve
        margin-top: 55px
        .indicator
            z-index: 100
            opacity: 0.6
            font-family: Krungsri
            font-size: 16px
            font-weight: normal
            font-stretch: condensed
            font-style: normal
            line-height: 1
            letter-spacing: 0.15px
            text-align: right
            color: #FFF

.indicator
    z-index: 100

.title-section
    z-index: 100


@media screen and ( max-width: 990px )
    .wrap-jobs-offer 
        .position
            font-size: 22px !important
            line-height: 1.16
    .wrap-search 
        height: fit-content
        -moz-height: fit-content !important
        margin-top: 80px
        margin-bottom: 60px
        .btn
            margin: 22px auto !important

        .select-jobs
            margin-left: 0px !important
        .mdc-select:not(.mdc-select--disabled) 
            .mdc-select__anchor
                min-width: 100%
        .mdc-textfield, 
        .mdc-select
            height: 48px
            margin-right: 0 !important


        .mdc-select
            margin-top: 15px
        

    .wrap-hero-banner
        .story-image
            max-width: 300px
        .text-corporate
            bottom: unset
            top: 30px

    .wrap-search
        flex-direction: column

    .wrap-jobs-section
        .title-section
            margin-bottom: 0px


    body
        .wrap-real-player 
            .wrap-content-left 
                #real-player 
                    .wrap-decide 
                        .wrap-decide-icon
                            padding: 11px 13px !important
        .heading
            margin-bottom: 5px
            margin-top: 5px

        .text-smaller
            margin-bottom: 0

        .wrap-jobs-section
            margin-bottom: 130px

        .wrap-all-openings
            margin-bottom: 150px

        .wrap-decide
            justify-content: flex-start !important
            margin-top: 15px !important
            margin-left: 0

        .wrap-real-player
            margin-top: 0px
            margin-bottom: 290px
            .quote
                font-size: 18px

            .carousel-inner
                .carousel-item
                    .row
                        .wrap-text-content
                            order: 1
                        .col-lg-4
                            order: 2
                        .wrap-detail-bottom
                            order: 3

            .RP-picture
                height: auto
                width: 100%

        .wrap-jobs-offer
            margin-top: 0
            .wrap-slide-involve
                margin-top: 38px

            .wrap-img-slide
                margin-top: 30px
                img
                    height: auto
                    width: 100%

        &.tab-01::before
            background-image: url("../KSC_Support/Background-Element_Layer/VR_Hiring/VR_Hiring_List/VR-Hiring_BG_Mobile375W.png")

        main 
            &::before
                height: 3400px

        